import Vue from 'vue'
import nodeApis from './node'

export default {
  // 配置组件所用的方法
  asyncConf (options) {
    const request = Vue.prototype.$Request
    if (!request) return
    const { domain } = Vue.prototype.$GC
    let url = options && options.url
    if (url.substring(0, 1) !== '/') url = '/' + url
    return request({
      url: domain + url,
      type: options.type || 'get',
      params: options.params || {},
      suffix: options.suffix || ''
    })
  },

  ...nodeApis
}
