import box from './box'
import styled from 'vue-styled-components'

const SBox = styled(box)`
${props => {
  if (props.boxStyle) {
    const style = []
    const keys = Object.keys(props.boxStyle)
    for (let i = 0; i < keys.length; i++) {
      const key = keys[i]
      const value = props.boxStyle[key]
      style.push(key.replace(/([A-Z])/g, '-$1').toLowerCase() + ':' + value)
    }
    return style.join(';')
  }
}}
`

export default SBox
