import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'
import Example from '../views/example/analy.vue'

Vue.use(VueRouter)

const routes = [
  { path: '/', redirect: '/example/analy' },

  {
    path: '/home',
    name: 'Home',
    component: Home
  },

  {
    path: '/example',
    name: 'Example',
    component: Example,
    redirect: '/example/analy',
    children: [
      { path: 'analy', component: () => import('@/views/example/analy') }
    ]
  }
]

const router = new VueRouter({
  routes
})

export default router
